%define fw_version 5.41

Summary:	KDE Frameworks 5 syntax highlighting engine
Name:		syntax-highlighting
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	http://download.kde.org/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5XmlPatterns)

%description
KDE Frameworks 5 syntax highlighting engine.

This is a stand-alone implementation of the Kate syntax highlighting engine.
It's meant as a building block for text editors as well as for simple
highlighted text rendering (e.g. as HTML), supporting both integration with
a custom editor as well as a ready-to-use QSyntaxHighlighter sub-class.

%files
%{_kde5_bindir}/kate-syntax-highlighter
%{_kde5_sysconfdir}/xdg/org_kde_ksyntaxhighlighting.categories

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 syntax highlighting translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDE Frameworks 5 syntax highlighting translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5syntaxhighlighting_major 5
%define libkf5syntaxhighlighting %mklibname kf5syntaxhighlighting %{kf5syntaxhighlighting_major}

%package -n %{libkf5syntaxhighlighting}
Summary:	KDE Frameworks 5 syntax highlighting engine shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5syntaxhighlighting}
KDE Frameworks 5 syntax highlighting engine shared library.

%files -n %{libkf5syntaxhighlighting}
%{_kde5_libdir}/libKF5SyntaxHighlighting.so.%{kf5syntaxhighlighting_major}*

#----------------------------------------------------------------------------

%define devkf5syntaxhighlighting %mklibname kf5syntaxhighlighting -d

%package -n %{devkf5syntaxhighlighting}
Summary:	Development files for KDE Frameworks 5 syntax highlighting engine
Group:		Development/KDE and Qt
Requires:	%{libkf5syntaxhighlighting} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5syntaxhighlighting-devel = %{version}

%description -n %{devkf5syntaxhighlighting}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5syntaxhighlighting}
%{_kde5_includedir}/KF5/KSyntaxHighlighting
%{_kde5_includedir}/KF5/ksyntaxhighlighting_version.h
%{_kde5_libdir}/cmake/KF5SyntaxHighlighting
%{_kde5_libdir}/libKF5SyntaxHighlighting.so
%{_kde5_mkspecsdir}/qt_KSyntaxHighlighting.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (4a3715c) New version 5.41.0


